Get Delegated Access
API Description
Get information about the features and brands that have been delegated to you, by one or more owner organizations, matching query parameters. Results are grouped by owner organization — each entry lists the granular features and brands that owner organization has authorized.
Request
URI Parameters
| Name | Input |
|---|---|
delegatedPartnerOrgId |
Query Parameters
Filters to apply on the operation. Supports the == and =in= comparison operators only.
| Name | Input |
|---|---|
feature | |
limit | |
orgId | |
state |
Limit
Page size. Minimum 1, default 50, maximum 200.
GET {url}/api/{version}/orgs/{delegatedPartnerOrgId}/delegated-access
Path Example One
Expected to return everything that has been delegated to you, from every owner organization.
GET {url}/api/v1/orgs/9467895078742654994/delegated-access
Path Example Two
Expected to return what has been delegated to you by a specific owner organization.
GET {url}/api/v1/orgs/9467895078742654994/delegated-access?ql=orgId==9467895078742654934
Path Example Three
Expected to return a list of owner organizations that have delegated the LOCATIONS or BRAND_PROFILES feature to you.
GET {url}/api/v1/orgs/9467895078742654994/delegated-access?ql=feature=in=(LOCATIONS,BRAND_PROFILES)
Request Headers
| Name | Input |
|---|---|
Authorization | |
Accept |
Authorization: Bearer <access_token>
Accept: application/json
Request Body
None
Response
200 OK or Error
Response Headers
| Name |
|---|
apple-request-id |
content-type |
HTTP/1.1 200 OK
apple-request-id: 108fc823-4082-4c29-be98-3abfc5277929
content-type: application/json
Response Body
| Parent | Name | Output |
|---|---|---|
$. | data[] | |
data[] | orgDetails | |
data[] | granularAccess[] | |
$. | pagination | |
$. | total |
Organization Details
Describes the owner organization that granted access, and the state of the delegation relationship.
| Parent | Name | Output |
|---|---|---|
orgDetails | orgId | |
orgDetails | legalName | |
orgDetails | state |
State
Describes the state of the delegation relationship that exists between the organizations (location owner ⟺ partner). Possible values: ACTIVE or PENDING.
Granular Access
granularAccess[] lists the features the owner organization has authorized, and which brands each feature applies to.
| Parent | Name | Output |
|---|---|---|
granularAccess[] | brandRef | |
granularAccess[] | feature |
Feature
feature (string) identifies the delegated feature. SHOULD be treated as an open-ended value — new features may be added over time. Possible values: BRANDED_MAIL, BRAND_PROFILES, BUSINESS_CALLER_ID, LOCATIONS, VERIFY_WITH_WALLET_ON_THE_WEB.
ADS_ON_MAPS access is delegated separately and is not included in granularAccess[].
Brand Reference
Identifies which brands feature applies to, for this owner organization.
| Parent | Name | Output |
|---|---|---|
brandRef | isAllBrands | |
brandRef | brandIds[] |
isAllBrands(boolean) indicates whetherfeatureapplies to all of the owner organization's brands.brandIds[]lists the specific delegated brand IDsfeatureapplies to, and is only returned whenisAllBrandsisfalse.
Example Response Bodies
Response to Path Example One
{
"data": [
{
"orgDetails": {
"orgId": "9467895078742654934",
"legalName": "Big Enterprise",
"state": "ACTIVE"
},
"granularAccess": [
{
"feature": "BRAND_PROFILES",
"brandRef": {
"isAllBrands": false,
"brandIds": [ "1237890009599", "1568998889123" ]
}
}
]
},
{
"orgDetails": {
"orgId": "1566789507874687",
"legalName": "Big Enterprise",
"state": "PENDING"
},
"granularAccess": [
{
"feature": "LOCATIONS",
"brandRef": {
"isAllBrands": true
}
}
]
}
],
"pagination": {
"cursors": {
"after": "8U54a61d9b495324"
},
"next": "/api/v1/orgs/9467895078742654994/delegated-access?limit=2&after=8U54a61d9b495324"
},
"total": 4
}
When no collection is returned.
{
"data": [],
"pagination": {},
"total": 0
}